summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Michael Heras2018-05-19 16:03:55 +0200
committer Willy Sudiarto Raharjo2018-05-20 03:35:08 +0200
commit9255c6c2c37ae156ed259375f98d3dd766e3c6d2 (patch)
tree1ae91f30114e64e5e925061b21143f82a9233e29 /desktop
parent05fcce5c8ec73247cf92d43636a6cf450edc11da (diff)
downloadslackbuilds-9255c6c2c37ae156ed259375f98d3dd766e3c6d2.tar.gz
desktop/wmimagedock: Added (changes image inside of dockapp).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/wmimagedock/README13
-rw-r--r--desktop/wmimagedock/slack-desc19
-rw-r--r--desktop/wmimagedock/wmimagedock.SlackBuild88
-rw-r--r--desktop/wmimagedock/wmimagedock.info10
4 files changed, 130 insertions, 0 deletions
diff --git a/desktop/wmimagedock/README b/desktop/wmimagedock/README
new file mode 100644
index 0000000000..d6dc4eb7b1
--- /dev/null
+++ b/desktop/wmimagedock/README
@@ -0,0 +1,13 @@
+wmimagedock
+===========
+This is a WindowMaker dockapp for displaying multiple images of various types.
+Including, png, jpg, gif, xmp using Imlib2. Images change automatically in order
+loaded into list or randomly.
+
+Has right and left double click events to execute commands.
+
+Written completely in C++
+
+works in WMaker, blackbox, and fluxbox, (tested)
+
+Replaces wmslideshow or can work in conjunction with it.
diff --git a/desktop/wmimagedock/slack-desc b/desktop/wmimagedock/slack-desc
new file mode 100644
index 0000000000..5847866ad7
--- /dev/null
+++ b/desktop/wmimagedock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmimagedock: wmimagedock (changes image inside of dockapp)
+wmimagedock:
+wmimagedock: A powerful little dockapp that displays multiple images.
+wmimagedock: Changing the images at the will of the user set time.
+wmimagedock: jpg, png, xpm, gif formats.
+wmimagedock: Dockapp loads faster with use of a file, paths to images.
+wmimagedock: Has right and left double click events to execute commands.
+wmimagedock: Rewritten in C++
+wmimagedock: Works in WMaker, blackbox, and fluxbox. (tested)
+wmimagedock: Replaces wmslideshow (written in C) or can work in conjunction with it
+wmimagedock:
diff --git a/desktop/wmimagedock/wmimagedock.SlackBuild b/desktop/wmimagedock/wmimagedock.SlackBuild
new file mode 100644
index 0000000000..ea86c3d6aa
--- /dev/null
+++ b/desktop/wmimagedock/wmimagedock.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+# Slackware build script for wmimagedock
+#
+# Copyright 2018 Michael Heras USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmimagedock
+VERSION=${VERSION:-1.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/wmimagedock/wmimagedock.info b/desktop/wmimagedock/wmimagedock.info
new file mode 100644
index 0000000000..c48022e4fc
--- /dev/null
+++ b/desktop/wmimagedock/wmimagedock.info
@@ -0,0 +1,10 @@
+PRGNAM="wmimagedock"
+VERSION="1.8"
+HOMEPAGE="https://sourceforge.net/projects/wmimagedock/"
+DOWNLOAD="https://sourceforge.net/projects/wmimagedock/files/wmimagedock-1.8.tar.gz"
+MD5SUM="e1a1df5d1c235d7d26cb59c2491a5ab0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Michael Heras"
+EMAIL="userxbw@gmail.com"